import { Documentation } from '../model/documentation';
import { Format } from '../model/format';
export interface TemplateEngine {
    parseDocumentation(format: Format, documentation: Documentation): string;
    parseTableOfContents(format: Format, fileNames: string[]): string;
}
export declare class TemplateEngineImpl implements TemplateEngine {
    private readonly _templateFunctions;
    constructor();
    parseDocumentation(format: Format, documentation: Documentation): string;
    parseTableOfContents(format: Format, fileNames: string[]): string;
}
